## org.beepcore.beep.core
Interface MessageListener

All Known Implementing Classes:
  MessageQueue

public interface MessageListener

Provided to allow for the registration of a `MessageListener` on a given Channel. A `MessageListener` receives `Messages` from a `Channel`.

Method Summary
`void` `receiveMSG(Message message)` Receives a BEEP message of type MSG.

Method Detail

### receiveMSG

    public void receiveMSG(Message message)
                    throws BEEPError,
                           AbortChannelException

  Receives a BEEP message of type MSG.

  Parameters:
    `message` - `Message`
  Throws:
    `BEEPError`
    `AbortChannelException`
  See Also:
    `org.beepcore.beep.core.Message`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.